Name:           gtkmm24
Version:        2.18.2
Release:        1%{?dist}

Summary:        C++ interface for GTK2 (a GUI library for X)

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.18/gtkmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glibmm24-devel >= 2.22
BuildRequires:  atk-devel >= 1.12
BuildRequires:  pango-devel
BuildRequires:  gtk2-devel >= 2.18
BuildRequires:  cairomm-devel >= 1.2.2
BuildRequires:  pangomm-devel >= 2.26


%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package        devel
Summary:        Headers for developing programs that will use %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       glib2-devel
Requires:       glibmm24-devel
Requires:       atk-devel
Requires:       pangomm-devel
Requires:       cairomm-devel
Requires:       scrollkeeper


%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.


%package        docs
Summary:        Documentation for %{name}, includes full API docs
Group:          Documentation
Requires:       %{name}-devel = %{version}-%{release}


%description    docs
This package contains the full API documentation for %{name}.


%prep
%setup -q -n gtkmm-%{version}


%build
%configure %{!?_with_static: --disable-static} --enable-shared  --disable-demos
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT docs-to-include
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/gtk-doc/html/gtkmm-2.4
mv ${RPM_BUILD_ROOT}%{_docdir}/gtkmm-2.4/* ${RPM_BUILD_ROOT}%{_datadir}/gtk-doc/html/gtkmm-2.4/
mv ${RPM_BUILD_ROOT}%{_datadir}/devhelp/books/gtkmm-2.4/*.devhelp2 ${RPM_BUILD_ROOT}%{_datadir}/gtk-doc/html/gtkmm-2.4
# Fix devhelp broken base tag
sed -i 's:base="[^\"]*":base="/usr/share/gtk-doc/html/gtkmm-2.4/reference/html":' ${RPM_BUILD_ROOT}%{_datadir}/gtk-doc/html/gtkmm-2.4/*.devhelp2
# Remove old doc directory
rm -r ${RPM_BUILD_ROOT}%{_datadir}/doc/gtkmm-2.4

# Move demo examples into devel doc directory
mkdir docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/gtkmm-2.4/demo docs-to-include/


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc PORTING docs-to-include/*
%{_includedir}/gtkmm-2.4
%{_includedir}/atkmm-1.6
%{_includedir}/gdkmm-2.4
%{?_with_static: %{_libdir}/*.a}
%{_libdir}/*.so
%{_libdir}/gtkmm-2.4
%{_libdir}/gdkmm-2.4
%{_libdir}/pkgconfig/*.pc


%files docs
%defattr(-, root, root, -)
%doc %{_datadir}/gtk-doc/html/gtkmm-2.4



%changelog

